Bug 868714 - [DOC] Document diagnostics.brick-sys-log-level and diagnostics.client-sys-log-level
[DOC] Document diagnostics.brick-sys-log-level and diagnostics.client-sys-log...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
2.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Divya
SATHEESARAN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 18:26 EDT by Brad Hubbard
Modified: 2015-05-15 14:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-10 03:16:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Hubbard 2012-10-21 18:26:05 EDT
Description of problem:

Can we document diagnostics.brick-sys-log-level and diagnostics.client-sys-log-level in the Administrator's guide?

Currently the desciption I have for these options is ""These refer to the log level of messages that get into syslog for brick and native client processes." but we may want to expand on that for the purposes of documenting these?
Comment 1 Divya 2012-12-11 05:04:46 EST
Brad,

We have documented these options in section 10.1. Tuning Volume Options. Link to the section: http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Storage/2.0/html/Administration_Guide/chap-User_Guide-Managing_Volumes.html#sect-User_Guide-Managing_Volumes-Tuning

Please let me know if this addresses your concern.

Regards,
Divya
Comment 2 Brad Hubbard 2012-12-11 17:12:06 EST
That looks fine Divya with one caveat. I noticed that INFO (default) is in capitals but the other options have a leading capital and then lower case. I would expect all caps, all lower case or all leading caps but not mixed. I suspect at the software level it would make no difference (you may want to check that) but I believe it's always better to make these things consistent.

INFO 	Debug | Warning | Error | Critical | None | Trace
Comment 4 SATHEESARAN 2013-01-02 01:03:03 EST
Verified this bug and hence moving to state VERIFIED

Note You need to log in before you can comment on or make changes to this bug.